Bug 1466652 - [3.4]Fail to container install ocp due to no excluder package found when specify openshift_additional_repos
[3.4]Fail to container install ocp due to no excluder package found when spec...
Status: NEW
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
3.4.1
Unspecified Unspecified
medium Severity medium
: ---
: 3.4.z
Assigned To: Scott Dodson
Johnny Liu
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-30 03:23 EDT by liujia
Modified: 2017-07-17 14:30 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description liujia 2017-06-30 03:23:08 EDT
Description of problem:
Fail to container install ocp with specified openshift_additional_repos in inventory file due to no excluder packages found. This is because the installer didn't configure openshift_additional_repo on the RHEL hosts prior to installing `atomic-openshift-docker-excluder`.

fatal: [openshift-151.x.x.x]: FAILED! => {
    "changed": false, 
    "failed": true, 
    "invocation": {
        "module_args": {
            "conf_file": null, 
            "disable_gpg_check": false, 
            "disablerepo": null, 
            "enablerepo": null, 
            "exclude": null, 
            "install_repoquery": true, 
            "list": null, 
            "name": [
                "atomic-openshift-docker-excluder-3.4.1.44*"
            ], 
            "state": "present", 
            "update_cache": false, 
            "validate_certs": true
        }
    }, 
    "rc": 126, 
    "results": [
        "No package matching 'atomic-openshift-docker-excluder-3.4.1.44*' found available, installed or updated"
    ]
}

MSG:

No package matching 'atomic-openshift-docker-excluder-3.4.1.44*' found available, installed or updated



Version-Release number of selected component (if applicable):
atomic-openshift-utils-3.4.111-1.git.0.61ef2e0.el7.noarch

How reproducible:
always

Steps to Reproduce:
1. Edit inventory file to add
openshift_additional_repos="xxxx"
2. Trigger container install on the host without ose3.6 repo
3.

Actual results:
openshift_addtional_repo not configured on the RHEL hosts, then install failed with no corresponding `atomic-openshift-docker-excluder` found. 

Expected results:
Install succeed with both of excluders installed.

Additional info:
Comment 1 Jan Chaloupka 2017-07-10 09:52:07 EDT
Liujia, can you run just 'yum install atomic-openshift-docker-excluder' on the openshift-151.x.x.x host? To see if any version of the excluder is available?
Comment 2 liujia 2017-07-11 21:41:55 EDT
(In reply to Jan Chaloupka from comment #1)
> Liujia, can you run just 'yum install atomic-openshift-docker-excluder' on
> the openshift-151.x.x.x host? To see if any version of the excluder is
> available?

Jan, no any version of the excluder would be available. Because there are no ose3.4 repo was created on the host, which should be generated by installer through setting openshift_additional_repo="".

BTW, this issue only happened on 3.3/3.4 version, it works well on 3.5/3.6.

Note You need to log in before you can comment on or make changes to this bug.